{% extends 'base.html.twig' %}

{% block title %}Empresas{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <h3 class="col-10">Editar Empresa</h3>
        </div>
        <hr>
        <div class="card">
            <div class="card-body">
                <div class="form-group">
                    <label for="cnpj">CNPJ</label>
                    <input type="text" class="form-control" id="cnpj" maxlength="14">
                </div>
                <div class="form-group">
                    <label for="nome_fantasia">Nome Fantasia</label>
                    <input type="text" class="form-control" id="nome_fantasia" maxlength="255">
                </div>
                <div class="form-group">
                    <label for="razao_social">Razão Social</label>
                    <input type="text" class="form-control" id="razao_social" maxlength="255">
                </div>
                <button class="btn btn-primary" onclick="edit()">Salvar</button>
                <button class="btn btn-danger" onclick="remove()">Remover</button>
            </div>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    <script type="application/javascript">
        let id = "{{ data['id'] }}";
        let cnpj = $("#cnpj");
        let nome_fantasia = $("#nome_fantasia");
        let razao_social = $("#razao_social");

        $.ajax({
            type: 'GET',
            url: `/api/empresas/${id}`,
            data: {},
            dataType: 'json',
            success: function (data_empresa) {
                cnpj.val(data_empresa.cnpj);
                nome_fantasia.val(data_empresa.nome_fantasia);
                razao_social.val(data_empresa.razao_social);
            }
        });

        cnpj.keypress(function (e) {
            if (e.which !== 8 && e.which !== 0 && (e.which < 48 || e.which > 57)) {
                e.preventDefault();
            }
        });

        function edit(){
            $.ajax({
                type: 'PUT',
                url: `/api/empresas/${id}`,
                data: {
                    cnpj: cnpj.val().trim(),
                    nome_fantasia: nome_fantasia.val().trim(),
                    razao_social: razao_social.val().trim(),
                },
                dataType: 'json',
                success: function () {
                    window.location.reload();
                }
            });
        }

        function remove(){
            $.ajax({
                type: 'DELETE',
                url: `/api/empresas/${id}`,
                dataType: 'json',
                success: function () {
                    window.location.replace('http://localhost:8000/empresas');
                }
            });
        }
    </script>
{% endblock %}
